Visit The New, Modern Unix Linux Community


Solaris 11 package installation


 
Thread Tools Search this Thread
Operating Systems Solaris Solaris 11 package installation
# 1  
Solaris 11 package installation

Hello,
I am installaing OVM Server on Sparc and while installation, it is failing on one package. It is not giving me a clear idea, what I need to do to fix it, or I am not able to understand it.
Code:
root@ovmi-host1:# ./install

Oracle VM Agent Release 3.4.6 Installer

- Installing Packages

Updating package cache                           1/1
Creating Plan (Solver setup): -
pkg install: No matching version of ovm/ovs-agent can be installed:
  Reject:  pkg://ovm/ovm/ovs-agent@3.4.6-3.4.6.0.0.2232
  Reason:  No version matching 'require' dependency system/io/test-drivers can be installed
    ----------------------------------------
    Reject:  pkg://solaris/system/io/test-drivers@11.4-11.4.0.0.1.15.0
    Reason:  This version is excluded by installed incorporation consolidation/osnet/osnet-incorporation@11.4-11.4.11.0.1.4.0
    ----------------------------------------

There was an error during the installation. The Oracle VM Agent
might not be fully installed or configured.

root@ovmi-host1:#
root@ovmi-host1:/# pkg list -af system/io/test-drivers
NAME (PUBLISHER)                                  VERSION                    IFO
system/io/test-drivers (solaris)                  11.4-11.4.0.0.1.15.0       ---
root@ovmi-host1:/# pkg list -af osnet-incorporation
NAME (PUBLISHER)                                  VERSION                    IFO
consolidation/osnet/osnet-incorporation (solaris) 11.4-11.4.11.0.1.4.0       i--
consolidation/osnet/osnet-incorporation (solaris) 11.4-11.4.0.0.1.15.0       ---
root@ovmi-host1:/#

Please advise

Thanks
# 2  
Yes, it looks like you have a driver conflict, as you have indicated.

Did you try installing this way ?:

Code:
https://oracle-base.com/articles/vm/ovm-3-installation

# 3  
There are two ways to install OVM servers ( as I read)
- With Oracle VM Server software, that comes with Solaris 11 + OVM software. That is bootable and you gave that in the suggested link.
- install OVS software on pre-installed Solaris-11.

We are using link aggregation on the Sparc server. But if I go with your suggested link, it seems it is the plain interface with IP. Not sure, if this would be a hassle to convert it to aggr later. On switch end also, we have LACP configured so single interface won't work in our case. So I am trying to go with second option and fix this package issue.
------------------------
I tried to upgrade SRU, assuming that it is running on lower than what OVS is expecting, but seems like, I am missing something
Code:
root@ovmi-host1:/# pkg publisher
PUBLISHER                   TYPE     STATUS P LOCATION
solaris                     origin   online F file:///repo/
root@ovmi-host1:/# df -h /repo
Filesystem             Size   Used  Available Capacity  Mounted on
rpool/repo              25G    10G        15G    41%    /repo
root@ovmi-host1:/# ls -ltr /repo
total 34
-rw-r--r--   1 root     root         347 Aug 16  2018 pkg5.repository
-rw-r--r--   1 root     root         573 Aug 16  2018 readme.txt
-rw-r--r--   1 root     root        5949 Aug 16  2018 README-repo-iso.txt
-rw-r--r--   1 root     root        1626 Aug 16  2018 NOTICES
-rw-r--r--   1 root     root        3440 Aug 16  2018 COPYRIGHT
drwxr-xr-x   3 root     root           3 Feb 27 00:53 publisher
root@ovmi-host1:/#
root@ovmi-host1:/# pkg list -af entire
NAME (PUBLISHER)                                  VERSION                    IFO
entire                                            11.4-11.4.11.0.1.4.0       i--
entire                                            11.4-11.4.0.0.1.15.0       ---
root@ovmi-host1:/# pkg update -nv
No updates available for this image.
root@ovmi-host1:/# pfexec pkg update -nv entire@11.4-11.4.0.0.1.15.0
Creating Plan (Solver setup): /
pkg update: Package 'library/python/pillow-34' must be uninstalled or upgraded if the requested operation is to be performed.
  Reject:  pkg://solaris/library/python/pillow-34@5.1.0-11.4.9.0.1.5.0
  Reason:  No version matching 'require' dependency image/library/openjpeg2@2.3.0-11.4.4.0.1.4.0 can be installed
    ----------------------------------------
    Reject:  pkg://solaris/image/library/openjpeg2@2.3.1-11.4.11.0.1.2.0
    Reason:  Excluded by proposed incorporation 'consolidation/userland/userland-incorporation'
    ----------------------------------------

=====================
Alright, it needed a reboot and then it was fixed :-)

Last edited by solaris_1977; 02-27-2020 at 09:36 PM..

Previous Thread | Next Thread
Thread Tools Search this Thread
Search this Thread:
Advanced Search

Test Your Knowledge in Computers #165
Difficulty: Easy
Tanenbaum originally developed MINIX for compatibility with Apple Computers.
True or False?

9 More Discussions You Might Find Interesting

1. Solaris

Package installation in Solaris 11

I have Solaris-11 and installed few non global zones inside it. I saw many of the packages are not installed in non global zone after installing it. root@pos_ddr01 # pkg list | wc -l 479 root@pos_ddr01 # root@pos_ddr01-zkmq01:~# pkg list | wc -l 206 root@pos_ddr01-zkmq01:~# I can... (1 Reply)
Discussion started by: solaris_1977
1 Replies

2. Solaris

Solaris 10 flash installation - fatal error. Solaris installation program exited.

Not very helpful to say the least. Seems to read the flar file and go through the upgrade and then come up with this error. Any ideas? (1 Reply)
Discussion started by: psychocandy
1 Replies

3. Fedora

Install RPM package after OS Installation

Hi Guys I want to know whether is it possible to automatically Install a RPM package after installing OS. Basically we have have one rpm package which we want to install as part of OS installation . Please Suggest (3 Replies)
Discussion started by: mr_deb
3 Replies

4. UNIX for Advanced & Expert Users

How to find dependancies of .dstream package (Solaris) & .rpm package( linux)

Friends, Please let meknow, How we can find the dependancies of .dstream package & .rpm package before installation ? For AIX, We can use the inutoc . command to create the .toc file for the bff package, What about Solaris & Linux ? (0 Replies)
Discussion started by: yb4779
0 Replies

5. Solaris

Package installation dates

Hi All, I have a solaris machine, in which I wanted to find the Oracle Installation date and Solaris Installation date.Any ways of finding out the package installation dates. Kindly let me know Thanks Rj (1 Reply)
Discussion started by: jegaraman
1 Replies

6. Red Hat

RPM package installation

Hi, can someone help me with this? How do we apply a new version of s/w package without disrupting the processes & daemons running with the old version? Thanks (1 Reply)
Discussion started by: naan
1 Replies

7. Solaris

Problem with solaris 10 installation package

Hi, I want to install man pages package from solaris 10. Solaris 10 has already been installed on my servor but I have to add the man pages packages. I search for a long time on internet this package but I didn't find a compatible one... So I downloaded Solaris 10 from Sun site to get this... (12 Replies)
Discussion started by: MasterapocA
12 Replies

8. UNIX for Advanced & Expert Users

Package Installation HELP!

To all, I have just installed a newer software package on one of our Performance testing AIX machine A. I later found out that this package didn't need to be installed on this machine cause it was a client and not a server package. I want to back out with pkgrm but the old package doesn't... (1 Reply)
Discussion started by: liketheshell
1 Replies

9. Solaris

Solaris Package Installation

Hi Friends,, I got a doubt about installing packages after the installation of Solaris 10. Suppose if we want to get smc tool by installing some packages from cd-3,, then how can we know the packages that has to be installed to get the smc tool. Can anyone help to solve this small... (1 Reply)
Discussion started by: sdspawankumar
1 Replies

Featured Tech Videos